Status: Closed Start date: 2011-08-31

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 100%

Category: d1_cn_service Estimated time: 0.00 hour

Target version: Sprint-2011.48-Block.6   

Story Points:    

Description

A MN should be able to inform a CN of impending outages or status changes.

Options are:

1. wait for CN to check the MN node document

2. use setStatus to trigger a check of the MN document

3. use setStatus to update information about the MN (possible conflict with information in the node document)

Subtasks:

Task # 1755: Add method specification to API documentation Rejected

Task # 1756: Document changeable properties of node registry Closed

Task # 1757: Implement CNRegister.updateNodeCapabilities Closed

History

#1 - 2011-08-31 02:10 - Dave Vieglais

- Target version set to Sprint-2011.35-Block.5

- Position set to 80

#2 - 2011-08-31 18:33 - Dave Vieglais

- Target version changed from Sprint-2011.35-Block.5 to Sprint-2011.36-Block.5

- Position deleted (82)

- Position set to 3

#3 - 2011-09-14 11:19 - Dave Vieglais

- Target version changed from Sprint-2011.36-Block.5 to Sprint-2011.37-Block.5

- Position set to 24

- Position deleted (5)

#4 - 2011-10-07 19:23 - Dave Vieglais

- Position set to 1

- Position deleted (38)

- Target version deleted (Sprint-2011.37-Block.5)

#5 - 2011-10-07 19:24 - Matthew Jones

- Subject changed from new CN method setStatus() ? to new CN method setStatus() and updateNodeCapabilities()?

#6 - 2011-10-19 22:37 - Robert Waltz
- Position set to 10

- Position deleted (7)

- Target version set to Sprint-2011.42-Block.6

#7 - 2011-10-25 16:39 - Dave Vieglais

- Target version deleted (Sprint-2011.42-Block.6)

- Position deleted (24)

- Position set to 1

#8 - 2011-11-11 17:12 - Robert Waltz

- Target version set to Sprint-2011.45-Block.6

- Milestone changed from CCI-0.6.4 to CCI-1.0.0

#9 - 2011-11-15 17:59 - Robert Waltz

- Position deleted (39)

- Position set to 28

#10 - 2011-11-16 15:19 - Dave Vieglais

- Position set to 1

- Target version changed from Sprint-2011.45-Block.6 to Sprint-2011.47-Block.6

- Position deleted (29)

#11 - 2011-11-28 18:47 - Dave Vieglais

- Position set to 1

- Position deleted (11)

- Target version changed from Sprint-2011.47-Block.6 to Sprint-2011.48-Block.6

#12 - 2011-12-05 18:47 - Robert Waltz

- Status changed from New to Closed
